Subject: I-D.6man-ipv6-address-generation-privacy

From: james woodyatt <[email-masked]>
Date: Mon, 4 Nov 2013 10:39:07 -0800

everyone--

I like this draft and think its content is generally useful.

At the microphone, I spoke about the stability of RFC 3972 cryptographically generated addresses.  I made two points.

p1. The correlation and location tracking of CGA should be listed as "typically possible for the lifetime of the combination of the public key and the chosen modifier block" because it's possible to rotate modifier blocks without generating new public keys.

p2. The subnet prefix is used as input to the generation of CGA, c.f. RFC 3972, section 4.

> 4.  CGA Generation
> 
>    The process of generating a new CGA takes three input values: a
>    64-bit subnet prefix, the public key of the address owner as a
>    DER-encoded ASN.1 structure of the type SubjectPublicKeyInfo, and the
>    security parameter Sec, which is an unsigned three-bit integer. 
>    […]
>    5. Concatenate from left to right the final modifier value, the
>       subnet prefix, the collision count, the encoded public key, and
>       any optional extension fields.  Execute the SHA-1 algorithm on the
>       concatenation.  Take the 64 leftmost bits of the SHA-1 hash value.
>       The result is Hash1.
>    6. Form an interface identifier from Hash1 by writing the value of
>       Sec into the three leftmost bits and by setting bits 6 and 7
>       (i.e., the "u" and "g" bits) to zero.
>   […]

--james woodyatt <[email-masked]>